getting compiz to work on 10.10 is actually very easy now
takes about 2 minutes to get it up and running by doing the following steps:
1. sudo add-apt-repository ppa:gma500/ppa && sudo apt-get update
2. sudo apt-get install poulsbo-driver-2d poulsbo-driver-3d poulsbo-config
3. reboot and see it working

very easy and works perfectly. but do not even try to upgrade to latest version of 11.04, absolutely no support for unity what so ever and trying to get gnome3 working will also result in failure. tried it yesterday. but on 10.10 it works just fine